﻿Option Explicit On

Public Class frm_Geometrie
    Public Rechteck1 As Rechteck
    Public Ellipse1 As Ellipse
    Public Bogen1 As Bogen            '5.1
    Public Bezier1 As Bezier
    Public blnLoeschen As Boolean
    Public strPgmName As String       '5.1
    Public strVersion As String

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        WindowState = 2
        Rechteck1 = New Rechteck(Me)
        Ellipse1 = New Ellipse(Me)
        Bogen1 = New Bogen(Me)
        Bezier1 = New Bezier(Me)

        strPgmName = "Zeichnen"       '5.1
        strVersion = "5.1"
        Text = "Programm  " + strPgmName + ", Version " + strVersion   '5.1
        Label1.Text = "Breite ="
        Label2.Text = "Höhe ="
        Label3.Text = ""
        Label4.Text = ""
        Label5.Text = "von"           '5.1
        Label6.Text = "°"
        Label7.Text = "bis"
        Label8.Text = "°"
        Call Vorbelegung()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If blnLoeschen Then Refresh()
        Rechteck1.b = Convert.ToSingle(TextBox1.Text)
        Rechteck1.h = Convert.ToSingle(TextBox2.Text)
        Label3.Text = "Fläche = " + Convert.ToString(Rechteck1.Flaeche())
        Label4.Text = "Umfang = " + Convert.ToString(Rechteck1.Umfang())
        Rechteck1.Zeichne_Rechteck()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        If blnLoeschen Then Refresh()
        Ellipse1.a1 = Convert.ToSingle(TextBox1.Text)
        Ellipse1.b1 = Convert.ToSingle(TextBox2.Text)
        Label3.Text = "Fläche = " + Convert.ToString(Ellipse1.Flaeche_Ell())
        Label4.Text = "Umfang = " + Convert.ToString(Ellipse1.Umfang_Ell())
        Ellipse1.Zeichne_Ellipse()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        If blnLoeschen Then Refresh()
        Bezier1.a1 = Convert.ToSingle(TextBox1.Text)
        Bezier1.b1 = Convert.ToSingle(TextBox2.Text)
        Label3.Text = "Fläche: keine Berechnung"
        Label4.Text = "Umfang: keine Berechnung"
        Bezier1.Zeichne_Bezier()
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click   '5.1
        If blnLoeschen Then Refresh()
        Bogen1.a1 = Convert.ToSingle(TextBox1.Text)
        Bogen1.b1 = Convert.ToSingle(TextBox2.Text)
        Bogen1.phi1 = Convert.ToSingle(TextBox3.Text)
        Bogen1.phi2 = Convert.ToSingle(TextBox4.Text)
        Label3.Text = ""
        Label4.Text = ""
        Bogen1.Zeichne_Bogen()
    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        Refresh()
        If CheckBox1.Checked = True Then
            blnLoeschen = True
        Else
            blnLoeschen = False
        End If
    End Sub

    Private Sub Vorbelegung()
        'Vermeiden der Eingabe 0
        TextBox1.Text = Str(500)
        TextBox2.Text = Str(300)
        TextBox3.Text = Str(90)        '5.1
        TextBox4.Text = Str(180)
    End Sub

End Class




